Web lists-archives.com

Bug#922665: general: Intel 8265 wifi failed to be work and be recognised after update and reboot




Package: general
Severity: important

Dear Maintainer,

*** Reporter, please consider answering these questions, where appropriate ***

   * After these updates: Start-Date: 2019-02-18  12:20:28
Commandline: apt-get dist-upgrade
Upgrade: ca-certificates-java:amd64 (20170531+nmu1, 20170929~deb9u1),
libcups2:amd64 (2.2.1-8+deb9u2, 2.2.1-8+deb9u3), python-samba:amd64
(2:4.5.12+dfsg-2+deb9u4, 2:4.5.16+dfsg-1), linux-libc-dev:amd64 (4.9.130-2,
4.9.144-3), gnupg-agent:
amd64 (2.1.18-8~deb9u3, 2.1.18-8~deb9u4), libxapian30:amd64 (1.4.3-2+deb9u2,
1.4.3-2+deb9u3), libc6-dev:amd64 (2.24-11+deb9u3, 2.24-11+deb9u4),
libwbclient0:amd64 (2:4.5.12+dfsg-2+deb9u4, 2:4.5.16+dfsg-1), python-
dnspython:amd64 (1.15.0-1
, 1.15.0-1+deb9u1), rtkit:amd64 (0.11-4+b1, 0.11-4+deb9u1), samba:amd64
(2:4.5.12+dfsg-2+deb9u4, 2:4.5.16+dfsg-1), samba-dsdb-modules:amd64
(2:4.5.12+dfsg-2+deb9u4, 2:4.5.16+dfsg-1), libsox2:amd64 (14.4.1-5+b2,
14.4.1-5+deb9u1), libc6:amd
64 (2.24-11+deb9u3, 2.24-11+deb9u4), locales:amd64 (2.24-11+deb9u3,
2.24-11+deb9u4), cups-server-common:amd64 (2.2.1-8+deb9u2, 2.2.1-8+deb9u3),
linux-compiler-gcc-6-x86:amd64 (4.9.130-2, 4.9.144-3), cups-common:amd64
(2.2.1-8+deb9u2, 2.2.
1-8+deb9u3), libsox-fmt-alsa:amd64 (14.4.1-5+b2, 14.4.1-5+deb9u1), libpq5:amd64
(9.6.10-0+deb9u1, 9.6.11-0+deb9u1), libgpod4:amd64 (0.8.3-8.2,
0.8.3-8.2+deb9u1), libwayland-client0:amd64 (1.12.0-1, 1.12.0-1+deb9u1), samba-
libs:amd64 (2:4.
5.12+dfsg-2+deb9u4, 2:4.5.16+dfsg-1), libc-l10n:amd64 (2.24-11+deb9u3,
2.24-11+deb9u4), libc-bin:amd64 (2.24-11+deb9u3, 2.24-11+deb9u4), cups-
ppdc:amd64 (2.2.1-8+deb9u2, 2.2.1-8+deb9u3), libcupsmime1:amd64
(2.2.1-8+deb9u2, 2.2.1-8+deb9u3)
, sox:amd64 (14.4.1-5+b2, 14.4.1-5+deb9u1), libgpod-common:amd64 (0.8.3-8.2,
0.8.3-8.2+deb9u1), samba-common:amd64 (2:4.5.12+dfsg-2+deb9u4,
2:4.5.16+dfsg-1), linux-headers-4.9.0-8-amd64:amd64 (4.9.130-2, 4.9.144-3),
gpgv:amd64 (2.1.18-8~d
eb9u3, 2.1.18-8~deb9u4), samba-vfs-modules:amd64 (2:4.5.12+dfsg-2+deb9u4,
2:4.5.16+dfsg-1), linux-kbuild-4.9:amd64 (4.9.130-2, 4.9.144-3), linux-
headers-4.9.0-8-common:amd64 (4.9.130-2, 4.9.144-3), libssh-gcrypt-4:amd64
(0.7.3-2+deb9u1, 0
.7.3-2+deb9u2), libsmbclient:amd64 (2:4.5.12+dfsg-2+deb9u4, 2:4.5.16+dfsg-1),
samba-common-bin:amd64 (2:4.5.12+dfsg-2+deb9u4, 2:4.5.16+dfsg-1), libc-dev-
bin:amd64 (2.24-11+deb9u3, 2.24-11+deb9u4), libcupsppdc1:amd64 (2.2.1-8+deb9u2,
2.2.1
-8+deb9u3), multiarch-support:amd64 (2.24-11+deb9u3, 2.24-11+deb9u4), firefox-
esr-l10n-zh-tw:amd64 (60.5.0esr-1~deb9u1, 60.5.1esr-1~deb9u1),
libibus-1.0-5:amd64 (1.5.14-3, 1.5.14-3+deb9u1), cups-bsd:amd64
(2.2.1-8+deb9u2, 2.2.1-8+deb9u3), cups-core-drivers:amd64 (2.2.1-8+deb9u2,
2.2.1-8+deb9u3), cups-daemon:amd64 (2.2.1-8+deb9u2, 2.2.1-8+deb9u3), libsox-
fmt-base:amd64 (14.4.1-5+b2, 14.4.1-5+deb9u1), gnupg:amd64 (2.1.18-8~deb9u3,
2.1.18-8~deb9u4), linux-image-4.9.0-8-amd64:amd64 (4.9.130-2, 4.9.144-3),
libcupsimage2:amd64 (2.2.1-8+deb9u2, 2.2.1-8+deb9u3), cups:amd64
(2.2.1-8+deb9u2, 2.2.1-8+deb9u3), libcupscgi1:amd64 (2.2.1-8+deb9u2,
2.2.1-8+deb9u3), cups-client:amd64 (2.2.1-8+deb9u2, 2.2.1-8+deb9u3),
libwayland-server0:amd64 (1.12.0-1, 1.12.0-1+deb9u1), firefox-esr:amd64
(60.5.0esr-1~deb9u1, 60.5.1esr-1~deb9u1), base-files:amd64 (9.9+deb9u7,
9.9+deb9u8), libwayland-cursor0:amd64 (1.12.0-1, 1.12.0-1+deb9u1)
End-Date: 2019-02-18  12:22:10

and reboot, wifi failed.  Wifi module is intel 8265.  lshw failed to recognize
the wifi module.  However bluetooth(bundled with the wifi) worked well.

 *Unplugged and pluged wifi module again - didn't work
 *update wifi firmware to firmware-iwlwifi_20190114-1_all.deb - didn't work
 *update this firmware to firmware-intel-sound_20190114-1_all.deb - OK wifi
works again.  However, I don't know why. This is FYI in case other users face
the same issue.

Thanx

*** End of the template - remove these template lines ***



-- System Information:
Debian Release: 9.8
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 4.9.0-8-amd64 (SMP w/4 CPU cores)
Locale: LANG=zh_HK.utf8, LC_CTYPE=zh_HK.utf8 (charmap=UTF-8), LANGUAGE=zh_HK:zh_TW:zh (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)